Skip to main content
POST
/
v1
/
patterns
/
{pattern_id}
/
resolve
Resolve Pattern
curl --request POST \
  --url https://api.example.com/v1/patterns/{pattern_id}/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution_note": "<string>",
  "recommendation_ids": [
    "<string>"
  ],
  "force": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pattern_id
string
required

Body

application/json
resolution_note
string
required
Required string length: 1 - 2000
recommendation_ids
string[]
force
boolean
default:false

Response

Successful Response